JoinStatus (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine.transaction.spi
Enum JoinStatus

    java.lang.Object
      java.lang.Enum<JoinStatus>
          org.hibernate.engine.transaction.spi.JoinStatus

All Implemented Interfaces:
  Serializable, Comparable<JoinStatus>

    public enum JoinStatus

extends Enum<JoinStatus>

See the JPA notion of joining a transaction for details.

Enum Constant Summary
`JOINED`
`MARKED_FOR_JOINED`
`NOT_JOINED`

Method Summary
`static JoinStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JoinStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_JOINED

    public static final JoinStatus NOT_JOINED

### MARKED_FOR_JOINED

    public static final JoinStatus MARKED_FOR_JOINED

### JOINED

    public static final JoinStatus JOINED

Method Detail

### values

    public static JoinStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JoinStatus c : JoinStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JoinStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.